CentOS 5 o CentOS 6 actualizar PHP a PHP 5.4 o PHP 5.5

En este artículo se describe cómo actualizar a PHP 5.4 o PHP 5.5 en un servidor CentOS 5 o CentOS 6 .

En primer lugar, detectar si se instalan los paquetes de PHP :
# Yum list instalado | grep php

Si se instalan los paquetes que eliminar, por ejemplo :
# Yum remove php.x86_64 php- cli.x86_64 php- common.x86_64 php- gd.x86_64 php- ldap.x86_64 – php php- mbstring.x86_64 mcrypt.x86_64 php- mysql.x86_64 php- pdo.x86_64

Añadir PHP 5.4 paquetes de yum de utilizar este comando para CentOS 5.x
# Rpm- Uvh http://mirror.webtatic.com/yum/el5/latest.rpm
O, para CentOS 6.x :
# Rpm- Uvh http://mirror.webtatic.com/yum/el6/latest.rpm

Ahora , se puede comprobar si la nueva PHP ( 5.4: php54w o 5.5: php55w ) paquetes están disponibles :
# Yum list disponibles | grep php
O bien, la versión específica de búsqueda :
# Yum list disponibles | grep php54

A continuación, instale los nuevos PHP 5.4 o 5.5 paquetes , por ejemplo, cuando la instalación de PHP 5.4 paquetes he utilizado:
# Yum install php54w.x86_64 php54w – cli.x86_64 php54w – common.x86_64 php54w – gd.x86_64 php54w – ldap.x86_64 – php54w mbstring.x86_64 php54w – mcrypt.x86_64 php54w – mysql.x86_64 php54w – pdo.x86_64

PHP ahora debe ser actualizado a la nueva versión, se puede comprobar con el comando:
# Php- v
PHP 5.4.17 ( cli) (built : 23 de julio 2013 00:02:04 )
Copyright (c ) 1997-2013 The PHP Group
Zend Engine v2.4.0 , Copyright ( c ) 1998-2013 Zend Technologies

Por último , reinicie el servidor Web:
# Service httpd restart

FUENTE:http://www.shayanderson.com/linux/centos-5-or-centos-6-upgrade-php-to-php-54-or-php-55.htm